# RSL_read_these_sweeps

### Synopsis

#include "rsl.h"
void RSL_read_these_sweeps(char *sweep#, [char *sweep#...], NULL);

### Description

Call this routine prior to any ingest routine and only the sweeps specified will be stored in memory. This drastically reduces memory requirements and speeds up the ingest, especially, if you're only interesed in a few sweeps. This function is useful, for instance, when you're making images of the base sweeps. Why bother reading the entire file when you only need the first sweep? By default, all sweeps are ingested. The sweep# is a character string representing the sweep number, "4" for instance. Order does not matter. Specify NULL as the last argument. This signals this routine when to stop parsing for sweep numbers. The first sweep is "0".

The list of possible sweep numbers is: "all", "none", "0", "1", ...

Action or side-effects: A second call to this function over-rides any previous settings. In other words, multiple calls are not additive. Therefore, you must list all the sweeps you want in a single call.

RSL_read_these_sweeps("1", "2", NULL);

which reads the second and third sweep is not the same as:

RSL_read_these_sweeps("1", NULL);
RSL_read_these_sweeps("2", NULL);

wherein, only the third (index 2) sweep is ingested.

### Return value

Upon successful completion, RSL_read_these_sweeps silently sets a hidden array that each of the specific radar format ingest routines access.

### See also

RSL_anyformat_to_radar.

Author: John H. Merritt.